// gnome.xonotic.in.ua

textures/base_floor/pjgrate1
{
	surfaceparm metalsteps
	cull none
	{
		map textures/base_floor/pjgrate1.tga
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_22a
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/geolight
{
	q3map_lightimage textures/base_light/geolight_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/geolight.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_light/geolight_glow.tga
		blendfunc add
		rgbgen wave sin .575 .025 0 10
	}
}

textures/base_trim/pewter_shiney
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_trim/pewter_shiney.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/proto_fence
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/base_trim/proto_fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_trim/tin
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/atech1_alpha
{
	{
		map textures/sfx/hologirl.tga
		tcmod scale 2 .4
		tcmod scroll 6 .6
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/base_wall/atech1_alpha.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/bathbusch/busch
{
	qer_editorimage textures/bathbusch/busch.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/bathbusch/busch.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/mirror1
{
	qer_editorimage textures/common/mirror1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
	}
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/gothic_light/gothic_light2_lrg_1k
{
	qer_editorimage textures/gothic_light/gothic_light2_lrg.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_lrg.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/gothic_light2_lrg_200
{
	qer_editorimage textures/gothic_light/gothic_light2_lrg.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_lrg.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/reqblood/reqblood
{
	qer_editorimage textures/reqblood/krewtest.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	tesssize 64
	cull disable
	deformvertexes wave 64 triangle 1 3 .1 .8
	{
		map textures/reqblood/krew_3e.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 1.0 2.0
		tcmod turb .1 .05 .25 .08
		tcmod scroll .8 -.125
	}
	{
		map textures/reqblood/krew_6b.tga
		blendfunc gl_dst_color gl_one
		tcmod scale .5 .5
		tcmod turb .1 .075 .5 .05
		tcmod scroll 1. .1
	}
}

textures/reqblood/reqblood_ripple1
{
	qer_editorimage textures/reqblood/krew_6b.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/reqblood/krew_3e.tga
		blendfunc gl_dst_color gl_one
		rgbgen const ( 1 0 0 )
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/reqblood/krew_6b.tga
		blendfunc gl_dst_color gl_one
		rgbgen const ( 1 0 0 )
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/reqblood/krew_3e.tga
		blendfunc gl_dst_color gl_one
		rgbgen const ( 1 0 0 )
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/reqkitchen/grzalka_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	qer_trans 2
	q3map_surfacelight 50
	{
		map textures/reqkitchen/grzalka_red.tga
		blendfunc add
	}
}

textures/reqsfx/snow1
{
	surfaceparm slick
	surfaceparm nomarks
	{
		map textures/reqsfx/snow2.tga
		tcgen environment
		rgbgen vertex
	}
	{
		map textures/reqsfx/snow1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/reqsfx/wyswkuch
{
	qer_editorimage textures/reqsfx/wyswkuch.tga
	surfaceparm nomarks
	q3map_surfacelight 70
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/reqsfx/wyswkuch.tga
		rgbgen identity
	}
}

textures/reqsfx/wyswlod
{
	qer_editorimage textures/reqsfx/wyswlodst.tga
	surfaceparm nomarks
	q3map_surfacelight 70
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/reqsfx/wyswlodst.tga
		rgbgen identity
	}
	{
		map textures/reqsfx/wyswlodmg.tga
		blendfunc add
		rgbgen wave square 0 1 0 1
	}
}

textures/reqsfx/wyswmikro
{
	qer_editorimage textures/reqsfx/wyswmikro.tga
	surfaceparm nomarks
	q3map_surfacelight 70
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/reqsfx/wyswmikro.tga
		rgbgen identity
	}
}

textures/reqsfx/wyswokap
{
	qer_editorimage textures/reqsfx/wyswokapst.tga
	surfaceparm nomarks
	q3map_surfacelight 70
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/reqsfx/wyswokapst.tga
		rgbgen identity
	}
	{
		map textures/reqsfx/wyswokapmg.tga
		blendfunc add
		rgbgen wave noise 0 1 0 1
	}
}

textures/reqsfx/wyswzmyw
{
	qer_editorimage textures/reqsfx/wyswzmyw.tga
	surfaceparm nomarks
	q3map_surfacelight 70
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/reqsfx/wyswzmyw.tga
		rgbgen identity
	}
}

textures/reqtele/req_tele
{
	qer_editorimage textures/reqtele/req_tele.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	tesssize 128
	q3map_surfacelight 100
	{
		map textures/reqtele/req_tele.tga
		rgbgen identity
		tcmod turb 0 0.3 0 0.2
	}
}

textures/sfx/fog_timdm8
{
	qer_editorimage textures/sfx/fog_green.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .211 .231 .094 ) 250
}

textures/sfx/xfinalfoginvert
{
	qer_editorimage textures/sfx/fog_black.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	fogparms ( 0 0 0 ) 256
}

textures/skies/reqskaj
{
	qer_editorimage textures/skies/reqskaj.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 111
	q3map_sun 0.6 0.6 0.6 100 120 60
	skyparms env/reqskaj/reqskaj - -
}

textures/szklo/glass
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull none
	surfaceparm nolightmap
	qer_trans 0.5
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
}

textures/woda/waterfall
{
	qer_editorimage textures/woda/pooltest.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	tesssize 64
	cull disable
	deformvertexes wave 64 triangle 1 3 .1 .8
	{
		map textures/woda/pool3d_3e.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 1.0 2.0
		tcmod turb .1 .05 .25 .08
		tcmod scroll .8 -.125
	}
	{
		map textures/woda/pool3d_6b.tga
		blendfunc gl_dst_color gl_one
		tcmod scale .5 .5
		tcmod turb .1 .075 .5 .05
		tcmod scroll 1. .1
	}
}

